[Shillien Oracle Class Transfer]:
A Shillien Oracle who reaches level 40 can proceed with the 2nd class transfer to become a Shillien Elder. In order to become an Shillien Elder, the player must successfully complete three quests. The Trial of the Pilgrim may be undertaken by a player of level 35 or above. This quest begins by meeting with Hermit Santiago in a farmhouse near the Orc Barracks in Gludio. The Testimony of Fate may be undertaken by a player of level 37 or above. This quest begins by meeting with Magister Kaira of Giran Castle Town . Finally, the Test of the Reformer may be undertaken by a player of level 39 or above. This quest begins by meeting with Priestess Pupina of Giran Castle Town.
Return
Close Window